Name:		ksensors
Version:	0.7.3
Release:	%mkrel 8
Group:		Graphical desktop/KDE
License:	GPL
Source0:	http://ovh.dl.sourceforge.net/sourceforge/ksensors/%{name}-%{version}.tar.bz2
Source1:	%{name}-icon-48x48.png
#Patch0:	%{name}-applnk-comment.patch.bz2
#Patch1:	ksensors-0.7.3-fix-path-to-hddtemp.patch.bz2
Patch2:		ksensors-0.7.3-hddtemp-sata-scsi-support.patch
Patch3:		ksensors-0.7.3-add-sv-and-pl-translations.patch
Patch4:		ksensors-0.7.3-put-qradiobuttons-in-qbuttongroup.patch
Patch5:		ksensors-0.7.3-check-for-hddtemp-without-warnings.patch
Patch6:		ksensors-0.7.3-add-nb-translation.patch
Patch7:		ksensors-0.7.3-cpupanel-unknow-spelling.patch
Patch8:		ksensors-0.7.3-sensors-no-min-max.patch
URL:		http://ksensors.sourceforge.net/
BuildRequires:	qt3-devel libz-devel X11-devel lm_sensors-devel kdelibs-devel
BuildRequires:	png-devel jpeg-devel libart_lgpl-devel
Requires:	lm_sensors
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Summary:	KDE frontend for lm_sensors


%description
KSensors is a nice frontend for lm-sensors, a set of tools for
monitoring the hardware health of Linux systems equipped with
certain hardware health monitoring hardware such as the LM78
or LM75, and HDDtemp, a tool for monitoring hard drive temperatures.
It also serves as a system resource monitor.

%prep
%setup -q
#%patch0 -p0
#%patch1 -p1 -b .hddtemppath
%patch2 -p1 -b .hddtemp_sata
%patch3 -p1 -b .sv_pl_translations
%patch4 -p1 -b .qradiobuttons
%patch5 -p1 -b .no_hddtemp_warnings
%patch6 -p1 -b .nb_translation
%patch7 -p1 -b .cpupanel_unknow_spelling
%patch8 -p1 -b .sensors_no_min_max

%build
# Search for qt/kde libraries in the right directories (avoid patch)
# NOTE: please don't regenerate configure scripts below
perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /(kde|qt)_(libdirs|libraries)=/" configure


%configure2_5x	--disable-debug \
		--enable-mt \
		--enable-shared \
		--disable-static \
		--disable-objprelink \
		--with-pic \
		--with-gnu-ld \
		--disable-rpath \
		--disable-embedded \
		--enable-fast-install=yes \
#		--with-qt-dir=%{_prefix}/lib/qt3 \
#		--enable-final

%make

%install
rm -rf %{buildroot}
%{makeinstall_std}

install -d %{buildroot}%{_menudir}
perl -pi -e "s|Name=ksensors|Name=Ksensors|" %{buildroot}%{_datadir}/applnk/Utilities/%{name}.desktop
kdedesktop2mdkmenu.pl %{name} "System/Monitoring" %{buildroot}%{_datadir}/applnk/Utilities/%{name}.desktop %{buildroot}%{_menudir}/%{name} kde

install -m644 %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png -D %{buildroot}%{_miconsdir}/%{name}.png
install -m644 %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png -D %{buildroot}%{_iconsdir}/%{name}.png
install -m644 %{SOURCE1} -D %{buildroot}%{_liconsdir}/%{name}.png

#Relativisation of symlink, rpm fails to do it
rm -f $RPM_BUILD_ROOT%{_datadir}/doc/HTML/en/%{name}/common
ln -sf ../common $RPM_BUILD_ROOT%{_datadir}/doc/HTML/en/%{name}/common

%find_lang %{name}

%post
%update_menus
%if %mdkversion > 200600
%update_icon_cache hicolor
%update_icon_cache locolor
%endif

%postun
%clean_menus
%if %mdkversion > 200600
%clean_icon_cache hicolor
%clean_icon_cache locolor
%endif


%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc %{_docdir}/HTML/*/%{name}
%doc AUTHORS TODO README ChangeLog FAQ
%{_bindir}/%{name}
%{_datadir}/apps/%{name}
%{_datadir}/apps/sounds/*.wav
%{_datadir}/applnk/Utilities/%{name}.desktop
%{_iconsdir}/hicolor/16x16/apps/%{name}.png
%{_iconsdir}/hicolor/32x32/apps/%{name}.png
%{_iconsdir}/locolor/16x16/apps/%{name}.png
%{_iconsdir}/locolor/32x32/apps/%{name}.png
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_menudir}/%{name}


%changelog
* Wed Jan 31 2007 David Walluck <walluck@mandriva.org> 0.7.3-8mdv2007.0
+ Revision: 115690
- add spelling fix and k8temp fix (from Debian)
- Import ksensors



* Wed Sep 27 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.7.3-7mdv2007.0
- add nb translation (P6)

* Wed Sep 27 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.7.3-6mdv2007.0
- from cvs:
	o add sata & scsi support (P2)
	o add swedish & polish translations (P3)
	o Put all QRadioButtons of the alarm tab into a QButtonGroup widget
	  instead of a QLayout widget. (P4)
- get rid of error popping up during check for hddtemp (P5)

* Fri Jul 21 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.7.3-5mdv2007.0
- drop P0 to fix 23876

* Wed Jul 19 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.7.3-4mdv2007.0
- XDG
- Use macros for icons 

* Fri May 20 2005 Sebastien Savarin <plouf@mandriva.org> 0.7.3-3mdk
- Fix menu-title-not-capitalized 
- Fix hardcoded qt path
 
* Fri May 20 2005 Sebastien Savarin <plouf@mandriva.org> 0.7.3-2mdk
- Rebuild and fix source url fix build on amd 64

* Wed Sep 01 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.7.3-1mdk
- 0.7.3 (seems to fix #10101 & #10102)
- update menu
- drop P0
- use %%configure2_5x macro
- fix path to hddtemp (ugly P1, fixes #10100)

* Fri Jun 04 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7.2-10mdk
- Rebuild

* Fri Jan 16 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.7.2-9mdk
- rebuild for new lm_sensors
- fix buildrequires (lib64..)
- don't bzip2 icon in src.rpm

* Sun Aug 17 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 0.7.2-8mdk
- really rebuild with latest lm_sensors (i sux)

* Sun Aug 17 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 0.7.2-7mdk
- rebuild for new lm_sensors

* Fri Jul 25 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.7.2-6mdk
- rebuild

* Fri Jun 20 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.7.2-5mdk
- fix path to qt3 (lib64 issues..)
- pass compile flags to configure in stead of make

* Mon Mar 17 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.7.2-4mdk
- added missing buildrequires

* Mon Mar 17 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.7.2-3mdk
- fix url (giuseppe)

* Sun Mar 16 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.7.2-2mdk
- Requires: lm_sensors

* Sat Mar 15 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.7.2-1mdk
- initial release
